/* eslint-disable */
// @ts-ignore
import { request } from '@/utils/request';

/** 发布/编辑任务 POST /api/FlexWorker/AddEidtFlexTask */
export async function addEidtFlexTask(body: API.AddEidtFlexTaskInput, options?: API.RequestConfig) {
  return request<number>('/api/FlexWorker/AddEidtFlexTask', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 添加联系记录 GET /api/FlexWorker/AddUserResumeContractRecord */
export async function addUserResumeContractRecord(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIaddUserResumeContractRecordParams,
  options?: API.RequestConfig
) {
  return request<number>('/api/FlexWorker/AddUserResumeContractRecord', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 取消人员收藏 DELETE /api/FlexWorker/CancelUserResumeCollect */
export async function cancelUserResumeCollect(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIcancelUserResumeCollectParams,
  options?: API.RequestConfig
) {
  return request<number>('/api/FlexWorker/CancelUserResumeCollect', {
    method: 'DELETE',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 收藏人员简历 POST /api/FlexWorker/CollectFlexWorkerResume */
export async function collectFlexWorkerResume(
  body: API.CollectFlexWorkerResumeInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/FlexWorker/CollectFlexWorkerResume', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 收藏名片 GET /api/FlexWorker/CollectVisitingCard */
export async function collectVisitingCard(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIcollectVisitingCardParams,
  options?: API.RequestConfig
) {
  return request<number>('/api/FlexWorker/CollectVisitingCard', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 任务删除 DELETE /api/FlexWorker/DeleteFlexTask */
export async function deleteFlexTask(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIdeleteFlexTaskParams,
  options?: API.RequestConfig
) {
  return request<number>('/api/FlexWorker/DeleteFlexTask', {
    method: 'DELETE',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 删除名片收藏 DELETE /api/FlexWorker/DeleteMyCardCollect */
export async function deleteMyCardCollect(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIdeleteMyCardCollectParams,
  options?: API.RequestConfig
) {
  return request<number>('/api/FlexWorker/DeleteMyCardCollect', {
    method: 'DELETE',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 编辑B端名片 POST /api/FlexWorker/EditVisitingCard */
export async function editVisitingCard(
  body: API.MyVisitingCardOutput,
  options?: API.RequestConfig
) {
  return request<number>('/api/FlexWorker/EditVisitingCard', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 获取省市区列表 POST /api/FlexWorker/GetAreaList */
export async function getAreaList(body: API.GetAreaListInput, options?: API.RequestConfig) {
  return request<API.AreaDto[]>('/api/FlexWorker/GetAreaList', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 获取资格证书列表 GET /api/FlexWorker/GetCertificationList */
export async function getCertificationList(options?: API.RequestConfig) {
  return request<API.GetSearchSettingListOutput[]>('/api/FlexWorker/GetCertificationList', {
    method: 'GET',
    ...(options || {}),
  });
}

/** 获取企业福利列表 GET /api/FlexWorker/GetEnterpriseWelfareList */
export async function getEnterpriseWelfareList(options?: API.RequestConfig) {
  return request<API.GetSearchSettingListOutput[]>('/api/FlexWorker/GetEnterpriseWelfareList', {
    method: 'GET',
    ...(options || {}),
  });
}

/** 获取签约人员列表 POST /api/FlexWorker/GetFlexSignWorkerList */
export async function getFlexSignWorkerList(
  body: API.GetFlexSignWorkerListInput,
  options?: API.RequestConfig
) {
  return request<API.GetNewestWorkerListOutputPageOutput>('/api/FlexWorker/GetFlexSignWorkerList', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** B端小程序-获取任务管理(未安排/已安排) POST /api/FlexWorker/GetFlexTaskByArrange */
export async function getFlexTaskByArrange(
  body: API.GetFlexTaskListInput,
  options?: API.RequestConfig
) {
  return request<API.GetFlexTaskListOutputPageOutput>('/api/FlexWorker/GetFlexTaskByArrange', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** B端小程序-获取验收管理(待验收/已验收) POST /api/FlexWorker/GetFlexTaskByIsOverCheck */
export async function getFlexTaskByIsOverCheck(
  body: API.GetFlexTaskListInput,
  options?: API.RequestConfig
) {
  return request<API.GetFlexTaskListOutputPageOutput>('/api/FlexWorker/GetFlexTaskByIsOverCheck', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 获取招聘任务详情 GET /api/FlexWorker/GetFlexTaskDto */
export async function getFlexTaskDto(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIgetFlexTaskDtoParams,
  options?: API.RequestConfig
) {
  return request<API.GetFlexTaskDtoOutput>('/api/FlexWorker/GetFlexTaskDto', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 获取招聘管理列表(发布中/已停止) POST /api/FlexWorker/GetFlexTaskList */
export async function getFlexTaskList(
  body: API.GetFlexTaskListByStatusInput,
  options?: API.RequestConfig
) {
  return request<API.GetFlexTaskListOutputPageOutput>('/api/FlexWorker/GetFlexTaskList', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 应聘管理-任务详情-获取人员报名列表 POST /api/FlexWorker/GetFlexTaskWorkerApplyList */
export async function getFlexTaskWorkerApplyList(
  body: API.GetFlexTaskWorkerApplyListInput,
  options?: API.RequestConfig
) {
  return request<API.GetNewestWorkerListOutputPageOutput>(
    '/api/FlexWorker/GetFlexTaskWorkerApplyList',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 任务管理-待安排/已安排 人员列表 POST /api/FlexWorker/GetFlexTaskWorkerArrangeList */
export async function getFlexTaskWorkerArrangeList(
  body: API.GetFlexTaskWorkerArrangeListInput,
  options?: API.RequestConfig
) {
  return request<API.GetNewestWorkerListOutputPageOutput>(
    '/api/FlexWorker/GetFlexTaskWorkerArrangeList',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 验收管理-任务详情-获取单个人员提交验收内容列表 POST /api/FlexWorker/GetFlexTaskWorkerCheckContentDto */
export async function getFlexTaskWorkerCheckContentDto(
  body: API.GetFlexTaskWorkerCheckContentDtoInput,
  options?: API.RequestConfig
) {
  return request<API.GetTaskWorkerCheckContentOutput>(
    '/api/FlexWorker/GetFlexTaskWorkerCheckContentDto',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 获取验收管理 待验收/已验收-人员列表 POST /api/FlexWorker/GetFlexTaskWorkerCheckList */
export async function getFlexTaskWorkerCheckList(
  body: API.GetFlexTaskWorkerCheckListInput,
  options?: API.RequestConfig
) {
  return request<API.GetNewestWorkerListOutputPageOutput>(
    '/api/FlexWorker/GetFlexTaskWorkerCheckList',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 我的名片夹 POST /api/FlexWorker/GetMyCollectVisitingCardList */
export async function getMyCollectVisitingCardList(
  body: API.GetCollectVisitingCardListInput,
  options?: API.RequestConfig
) {
  return request<API.GetCollectVisitingCardOutputPageOutput>(
    '/api/FlexWorker/GetMyCollectVisitingCardList',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 获取我的名片 GET /api/FlexWorker/GetMyVisitingCard */
export async function getMyVisitingCard(options?: API.RequestConfig) {
  return request<API.MyVisitingCardOutput>('/api/FlexWorker/GetMyVisitingCard', {
    method: 'GET',
    ...(options || {}),
  });
}

/** 获取灵工列表 POST /api/FlexWorker/GetNewesWorkertList */
export async function getNewesWorkertList(
  body: API.GetNewestWorkerListInput,
  options?: API.RequestConfig
) {
  return request<API.GetNewestWorkerListOutputPageOutput>('/api/FlexWorker/GetNewesWorkertList', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 获取联系记录 POST /api/FlexWorker/GetUserContractRecordList */
export async function getUserContractRecordList(body: API.PageInput, options?: API.RequestConfig) {
  return request<API.GetNewestWorkerListOutputPageOutput>(
    '/api/FlexWorker/GetUserContractRecordList',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 获取简历收藏列表 POST /api/FlexWorker/GetWorkerResumeCollectList */
export async function getWorkerResumeCollectList(body: API.PageInput, options?: API.RequestConfig) {
  return request<API.GetNewestWorkerListOutputPageOutput>(
    '/api/FlexWorker/GetWorkerResumeCollectList',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 企业解约 GET /api/FlexWorker/StopEnterpriseUserContract */
export async function stopEnterpriseUserContract(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIstopEnterpriseUserContractParams,
  options?: API.RequestConfig
) {
  return request<number>('/api/FlexWorker/StopEnterpriseUserContract', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 任务人员安排/取消安排 POST /api/FlexWorker/TaskWorkerArrange */
export async function taskWorkerArrange(
  body: API.TaskWorkerArrangeInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/FlexWorker/TaskWorkerArrange', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 验收管理-验收详情-对人员进行验收审核 POST /api/FlexWorker/TaskWorkerCheckAcceptStatus */
export async function taskWorkerCheckAcceptStatus(
  body: API.TaskWorkerCheckAcceptStatusInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/FlexWorker/TaskWorkerCheckAcceptStatus', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 任务人员录用/谢绝 POST /api/FlexWorker/TaskWorkerHireRefuse */
export async function taskWorkerHireRefuse(
  body: API.TaskWorkerHireRefuseInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/FlexWorker/TaskWorkerHireRefuse', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 更新招聘任务发布状态 POST /api/FlexWorker/UpdateFlexTaskReleaseStatus */
export async function updateFlexTaskReleaseStatus(
  body: API.UpdateTaskReleaseStatusInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/FlexWorker/UpdateFlexTaskReleaseStatus', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}
